Subject: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Michael Albinus <[email-masked]>
Date: Tue, 15 Sep 2015 15:02:01 +0200

Eli Zaretskii <[email-masked]> writes:

> I find the way inotify.c and gfilenotify.c report errors suboptimal:
> they don't report the errno value and the related data, so the error
> messages tell less than they could.  I went the way similar to
> report_file_error instead.  Maybe the other back-ends should follow
> suit.

I've changed it in inotify.c. I've simply cloned your
report_w32notify_error, called it report_inotify_error, and adapted all
error reporting places.

However, wouldn't it be better to have a common function the three
backends will use? A report_filenotify_error function in fileio.c?

Best regards, Michael.